desktopcouch-service crashed with RuntimeError in find_port__linux()

Bug #461114 reported by Felipe Figueiredo on 2009-10-26
158
This bug affects 33 people
Affects Status Importance Assigned to Milestone
desktopcouch
Undecided
Stuart Langridge
desktopcouch (Ubuntu)
Undecided
Chad Miller

Bug Description

Binary package hint: desktopcouch

I just upgraded Jaunty to Karmic, and desktop couch crashes on startup.

ProblemType: Crash
Architecture: i386
Date: Mon Oct 26 12:02:12 2009
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/lib/desktopcouch/desktopcouch-service
InterpreterPath: /usr/bin/python2.6
NonfreeKernelModules: nvidia
Package: desktopcouch 0.5-0ubuntu1
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/lib/desktopcouch/desktopcouch-service
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, no user)
 LANGUAGE=en_US.UTF-8
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
PythonArgs: ['/usr/lib/desktopcouch/desktopcouch-service']
SourcePackage: desktopcouch
Title: desktopcouch-service crashed with RuntimeError in find_port__linux()
Uname: Linux 2.6.31-14-generic i686
UserGroups: adm admin arb audio cdrom dialout dip disk fax floppy fuse lpadmin plugdev sambashare scanner tape video
XsessionErrors:
 (gnome-settings-daemon:1650): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (polkit-gnome-authentication-agent-1:1753): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (nautilus:1726): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (gnome-panel:1758): Gdk-WARNING **: /build/buildd/gtk+2.0-2.18.3/gdk/x11/gdkdrawable-x11.c:952 drawable is not a pixmap or window

Related branches

Felipe Figueiredo (philsf) wrote :
visibility: private → public
Elliot Murphy (statik) on 2009-10-28
Changed in desktopcouch (Ubuntu):
assignee: nobody → Stuart Langridge (sil)
Stuart Langridge (sil) on 2009-10-28
Changed in desktopcouch:
assignee: nobody → Stuart Langridge (sil)
Stuart Langridge (sil) wrote :

Hi, Felipe! Sorry that this is happening to you; can you confirm whether it still happens with the latest updates?

Changed in desktopcouch:
status: New → Incomplete

On Wed, Oct 28, 2009 at 5:22 PM, Stuart Langridge
<email address hidden> wrote:
> Hi, Felipe! Sorry that this is happening to you; can you confirm whether
> it still happens with the latest updates?

Yes it does, everytime I login I am greeted with two or three crashes
(desktopcouch, nautilus and ubuntuone-client-applet, all three were
reported).

philsf@peralta:~$ apt-cache policy desktopcouch
desktopcouch:
  Installed: 0.5-0ubuntu1
  Candidate: 0.5-0ubuntu1
  Version table:
 *** 0.5-0ubuntu1 0
        500 http://br.archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status

Chad Miller (cmiller) wrote :

I think this is addressed in #486102 . There's a patch there, so I'll link this bug there.

There is a period between when couchdb has written its PID file and when it is really listening on a socket for connections. Our code assumes that writing its PID file is a signal that it's ready to work, but it is not. Now, we loop on looking for the socket, instead of interpreting missing as an error.

Chad Miller (cmiller) on 2009-11-24
Changed in desktopcouch:
status: Incomplete → Fix Committed
Changed in desktopcouch (Ubuntu):
status: New → Confirmed
Chad Miller (cmiller) on 2009-12-14
Changed in desktopcouch:
status: Fix Committed → Fix Released
Changed in desktopcouch (Ubuntu):
assignee: Stuart Langridge (sil) → Chad Miller (cmiller)
Chad Miller (cmiller) on 2009-12-18
Changed in desktopcouch (Ubuntu):
status: Confirmed → Fix Committed
Chad Miller (cmiller) on 2010-04-15
Changed in desktopcouch (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers